## ghub-el 1.2.0

=== debian/changelog ===
ghub-el (1.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control:
    - S-V bump 3.9.8 -> 4.0.0 (no changes needed)
    - fix dependencies on emacs24
    - drop dependency on emacs-common

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 22 Jul 2017 13:35:18 +0200

ghub-el (1.2.0-1) experimental; urgency=medium

  * Initial release (Closes: #864454)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 09 Jun 2017 10:30:56 +0200
