=== debian/control ===
Source: ghub-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: debhelper (>= 10), dh-elpa
Standards-Version: 4.0.0
Homepage: https://github.com/tarsius/ghub
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ghub-el.git
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ghub-el.git

Package: elpa-ghub
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 47.0)
Conflicts: emacs24
Enhances: emacs, emacs25
Built-Using: ${misc:Built-Using}
Description: minuscule client for the Github API
 A minuscule client for the Github API.
 .
 This library just provides the HTTP verbs. Instead of wrapping
 every resource, https://developer.github.com/v3 is recommended.
 Due to the lack of doc-strings, it's also recommended having a
 quick look at the source, which is quite trivial.
