## ghub-el 1.3.0

=== debian/changelog ===
ghub-el (1.3.0-1) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control: S-V bump 4.0.0 -> 4.1.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 08 Dec 2017 21:17:16 +0100
