## ghub-el 2.0.0

=== debian/changelog ===
ghub-el (2.0.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control: texinfo b-dep added
  * debian/: debhelper bump 9 -> 11
  * debian/control: Vcs-* fields updated pointing to salsa
  * debian/control: S-V bump 4.1.1 -> 4.1.4 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 07 Apr 2018 23:17:27 +0200
