=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11~), dh-elpa, texinfo
+Standards-Version: 4.1.4
 Homepage: https://github.com/tarsius/ghub
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ghub-el.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ghub-el.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
+Vcs-Git: https://salsa.debian.org/emacsen-team/ghub-el.git
 
 Package: elpa-ghub
 Architecture: all
