## ghub-el 2.0.1

=== debian/changelog ===
ghub-el (2.0.1-2) unstable; urgency=medium

  * debian/control:
    - S-V bump 4.1.4 -> 4.2.1 (no changes needed)
    - drop Conflicts against emacs24

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 06 Oct 2018 14:09:03 +0200

ghub-el (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 30 May 2018 00:02:16 +0200
