=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper (>= 11~), dh-elpa, texinfo
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/tarsius/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ghub-el.git
@@ -13,7 +13,6 @@
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
 Recommends: emacs (>= 47.0)
-Conflicts: emacs24
 Enhances: emacs, emacs25
 Built-Using: ${misc:Built-Using}
 Description: minuscule client for the Github API
