## ghub-el 3.0.0

=== debian/changelog ===
ghub-el (3.0.0-3) unstable; urgency=medium

  * debian/patches/: patchset created
    - 01-fix_version.diff added
  * debian/docs: documentation added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 17 Nov 2018 22:29:16 +0100

ghub-el (3.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 15 Nov 2018 21:29:35 +0100

ghub-el (3.0.0-1) experimental; urgency=medium

  * New upstream release (Closes: #913480)
    - debian/rules: override_dh_auto_build entry added
  * debian/control: Homepage link updated

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 14 Nov 2018 23:32:46 +0100
