=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper (>= 11~), dh-elpa, texinfo
 Standards-Version: 4.2.1
-Homepage: https://github.com/tarsius/ghub
+Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ghub-el.git
