## ghub-el 3.2.0

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,16 @@
 PKG   = ghub
 
 ELS   = $(PKG).el
+ELS  += $(PKG)-graphql.el
+ELS  += glab.el
+ELS  += gtea.el
+ELS  += gogs.el
+ELS  += buck.el
 ELCS  = $(ELS:.el=.elc)
 
 DEPS  = dash
+DEPS += graphql
+DEPS += treepy
 
 VERSION ?= $(shell test -e $(TOP).git && git describe --tags --abbrev=0 | cut -c2-)
