=== debian/changelog ===
ghub-el (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/: debhelper bump 11 -> 12
  * debian/control: S-V bump 4.2.1 -> 4.3.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 20 Jan 2019 22:47:07 +0100
