=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper (>= 11~), dh-elpa, texinfo
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 12~), dh-elpa, texinfo
+Standards-Version: 4.3.0
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ghub-el.git
