=== debian/changelog ===
ghub-el (3.3.0-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control:
    - S-V bump 4.3.0 -> 4.5.0 (no changes needed)
    - RRR set
  * debian/: debhelper-compat 12 usage

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 29 Jan 2020 22:58:30 +0100

ghub-el (3.2.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 08 Jul 2019 14:36:03 +0200

ghub-el (3.2.0-2) experimental; urgency=medium

  * debian/patches/: patchset updated (Closes: #924511)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 26 Mar 2019 13:52:49 +0100
