=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: ghub-el
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper (>= 12~), dh-elpa, texinfo
-Standards-Version: 4.3.0
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-elpa,
+ texinfo
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ghub-el.git
