=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ghub-$1\.tar\.gz/ \
https://github.com/tarsius/ghub/tags .*/v?(\d\S+)\.tar\.gz
