## ghub-el 3.4.0

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,7 @@
 LOAD_PATH  += -L .
 
 ifndef ORG_LOAD_PATH
-ORG_LOAD_PATH  = -L ../dash
-ORG_LOAD_PATH += -L ../org/lisp
+ORG_LOAD_PATH  = -L ../org/lisp
 ORG_LOAD_PATH += -L ../org/contrib/lisp
 ORG_LOAD_PATH += -L ../ox-texinfo+
 endif
