=== debian/changelog ===
ghub-el (3.4.0-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/01-fix_version.diff: refreshed
  * debian/control: debhelper bump 12 -> 13

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 24 Jul 2020 22:54:08 +0200
