## ghub-el 3.4.1

=== debian/changelog ===
ghub-el (3.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 14 Aug 2020 18:20:47 +0200
