## ghub-el 3.4.2

=== debian/changelog ===
ghub-el (3.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/01-fix_version.diff: update version

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 04 Nov 2020 21:47:49 +0100
