## ghub-el 3.5.0

=== debian/changelog ===
ghub-el (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: version bump 3 -> 4
  * debian/control: S-V bump 4.5.0 -> 4.5.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 09 Dec 2020 16:55:20 +0100
