=== debian/changelog ===
ghub-el (3.5.1-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/01-fix_version.diff: refreshed

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 20 Jan 2021 23:28:02 +0100
