=== debian/changelog ===
ghub-el (3.5.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.5.1 -> 4.6.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 13 Oct 2021 23:49:23 +0200

ghub-el (3.5.3-2) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * Upload to unstable

  [ Nicholas D Steeves ]
  * Drop emacs25 from Enhances
    (package does not exist in bullseye).

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 17 Aug 2021 20:40:08 +0200

ghub-el (3.5.3-1) experimental; urgency=medium

  * New upstream release
    - debian/patches/01-fix_version.diff: refreshed

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 12 Jun 2021 12:22:20 +0200

ghub-el (3.5.2-1) experimental; urgency=medium

  * New upstream release
    - debian/patches/01-fix_version.diff: refreshed

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 13 May 2021 23:31:03 +0200
