=== debian/changelog ===
ghub-el (3.5.6-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 15 Apr 2022 23:31:22 +0200

ghub-el (3.5.5-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: obsolete patchset dropped
    - debian/patches/: patchset updated
      - 0001-Add_ghub-pkg.el_file.patch added
  * debian/copyright: extend copyright timestamps
  * debian/control: drop Built-Using field
  * debian/elpa: install lisp/ files
  * debian/docs: update docs/ path

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Feb 2022 23:54:29 +0100
