=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Depends: ${elpa:Depends}, ${misc:Depends}
 Recommends: emacs (>= 47.0)
 Enhances: emacs
-Built-Using: ${misc:Built-Using}
 Description: minuscule client for the Github API
  A minuscule client for the Github API.
  .
