=== debian/changelog ===
ghub-el (3.6.0-4) unstable; urgency=medium

  * Team upload.
  * Improve documentation packaging.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 23 Dec 2023 11:36:22 +0100

ghub-el (3.6.0-3) unstable; urgency=medium

  * debian/elpa: force install ghub-pkg.el
    via dh_elpa (Closes: #1040197)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 03 Jul 2023 21:09:29 +0200

ghub-el (3.6.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 02 Jul 2023 16:52:14 +0200

ghub-el (3.6.0-1) experimental; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (fixed upstream)
  * debian/docs: .md files installation dropped
  * debian/control: S-V bump 4.6.0 -> 4.6.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 11 Jun 2023 13:58:43 +0200
