=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa,
- texinfo
-Standards-Version: 4.6.0
+ texinfo,
+ texlive-latex-base,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
