## ghub-el 4.1.1

=== debian/changelog ===
ghub-el (4.1.1-2) unstable; urgency=medium

  * debian/: straggler to clean.
    Thanks to Barak A. Pearlmutter (bap) for the hint! ;)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 08 Oct 2024 20:11:30 +0200

ghub-el (4.1.1-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset initialized
      - 0001-Avoid_revdesc_creation.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 05 Oct 2024 17:53:41 +0200

ghub-el (3.6.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
    * elpa-ghub: Drop versioned constraint on emacs (>= 47.0) in Recommends.
    Changes-By: deb-scrub-obsolete
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-bug-tracking.html

  [ Matteo F. Vescovi ]
  * debian/control: S-V bump 4.6.2 -> 4.7.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 05 Oct 2024 15:06:58 +0200

ghub-el (3.6.0-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:40:13 +0900
