=== debian/changelog ===
ghub-el (4.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 29 Dec 2024 15:03:31 +0100
