=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-elpa,
  texinfo,
  texlive-latex-base,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
@@ -17,7 +17,7 @@
 Package: elpa-ghub
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 47.0)
+Recommends: emacs
 Enhances: emacs
 Description: minuscule client for the Github API
  A minuscule client for the Github API.
