## ghub-el 4.3.0

=== debian/changelog ===
ghub-el (4.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control : Bump Standards-Version to 4.7.2 (no changes required).
  * d/elpa : Remove reference to ghub-pkg.el, which is included anyway.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 28 Apr 2025 11:29:57 +0200
