=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-elpa,
  texinfo,
  texlive-latex-base,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
