=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	dh $@ --with elpa
 
 override_dh_auto_build:
-	/bin/true
+	make docs
