=== debian/changelog ===
ghub-el (5.0.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: RRR removal (obsolete)
  * debian/watch: v4 -> v5 switch

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 12 Nov 2025 20:12:17 +0100
