=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  texinfo,
  texlive-latex-base,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://github.com/magit/ghub
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/ghub-el.git
