=== debian/watch ===
Version: 5
Template: Github
Owner: tarsius
Project: ghub
